Subject: Re: linux-next: build failure after merge of the thermal-soc tree

From: Caesar Wang <[email-masked]>
Date: Thu, 5 Nov 2015 18:22:00 +0800

在 2015年11月05日 13:01, Stephen Rothwell 写道:
> Hi Eduardo,
>
> After merging the thermal-soc tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
>
> drivers/thermal/rockchip_thermal.c: In function 'rockchip_thermal_suspend':
> drivers/thermal/rockchip_thermal.c:641:2: error: implicit declaration of function 'pinctrl_pm_select_sleep_state' [-Werror=implicit-function-declaration]
>    pinctrl_pm_select_sleep_state(dev);
>    ^
> drivers/thermal/rockchip_thermal.c: In function 'rockchip_thermal_resume':
> drivers/thermal/rockchip_thermal.c:679:2: error: implicit declaration of function 'pinctrl_pm_select_default_state' [-Werror=implicit-function-declaration]
>    pinctrl_pm_select_default_state(dev);
>    ^

That's indeed wonder that I build up in next-kernel-v4.3, applied into 
chromium v3.14 stable kernel.

from the log I guess wee need the include file:
"#include <linux/pinctrl/consumer.h>"

>
> Caused by commit
>
>    7e38a5b1daa1 ("thermal: rockchip: support the sleep pinctrl state to avoid glitches")
>
> Probably just a missing include file.
>
> I have reverted that commit for today.
>
>
>

-- 
Yours,
Caesar